{
  "compilerOptions": {
    "target": "es2016",
    "lib": ["es2016", "esnext.asynciterable"],
    "module": "commonjs",
    "outDir": "dist",
    "experimentalDecorators": true,
    "sourceMap": true,
    "emitDecoratorMetadata": true,
    "baseUrl": "./src",
    "paths": {
      "@/*": ["./*"],
      "src/*": ["./*"]
    },
    "esModuleInterop": true
  },
  "files": ["./node_modules/@types/node/index.d.ts"],
  "include": ["src/**/*.ts", "test/**/*.ts"],
  "exclude": ["node_modules"]
}
